/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2020 Gowin Semiconductor Technology Co.,Ltd.
 *
 * @file		endian.c
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date		2020-1-1 09:00:00
 * @brief		Big endian to little endian.
 ******************************************************************************************
 */

#include "endian.h"

//big endian to little endian
void endian_big_to_little(uint32_t *in)
{
	uint8_t temp;
	uint8_t *p = (uint8_t *)in;
	
	temp = p[0];
	p[0] = p[3];
	p[3] = temp;
		
	temp = p[1];
	p[1] = p[2];
	p[2] = temp;
}

//an array big endian to little endian
void endian_big_to_little_array(uint32_t *in, uint32_t len)
{
	while (len--)
	{
		endian_big_to_little(in++);
	}
}
